<? if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED !== true) die();?>

<script type="text/javascript">
function checkAuthorizationResponse()
{
	var email_generation = '<?=$arResult["EMAIL_GENERATION"]?>';
	if (email_generation == 'Y')
		return;
	jQuery.post(
		'<?=$arResult["COMPONENT_PATH"]?>/taplogin_cb.php?check_authorization_response=1',
		{
			taplogin_request_id: '<?=$arResult["REQUEST_ID"]?>',
		},
		function (response){
			if (response.result == 'ok'){
				if (response.response == 'Y'){
					stopWaiting();
					
					if (response.arrFieldValues.email)
					{
						jQuery("#taplogin_email").val(response.arrFieldValues.email);
						jQuery("#taplogin_employee_id").val('<?=$arResult["employee_id"]?>');
						jQuery("#taplogin_employee_login").val('<?=$arResult["employee_login"]?>');
					}
				}
				else if (response.response == 'N')
					stopWaiting();
			}
			else if (response.result == 'error')
				jQuery("#taplogin_error").html(response.error);
			else
				alert("unrecognized result");
		},
		'json'
	);
}

function stopWaiting()
{
	clearInterval(checker);
	$('#taplogin_status').hide();
}

var TeddyIDProperties = new function(){
	this.node_id = '<?=$arResult["NODE_ID"]?>';
	this.local_easyxdm_file = '/bitrix/images/taplogin/easyxdm_name.html';
	this.onAuth = function(auth_token_id, auth_token, url){
		var f = document.loginform;
		f.auth_token_id.value = auth_token_id;
		f.auth_token.value = auth_token;
		f.url.value = url;
		f.submit();
	};
};

var checker;

(function() {
	var async_js = document.createElement('script');
	async_js.type = 'text/javascript';
	async_js.async = true;
	async_js.src = "//www.teddyid.com/js/auth.js";
	async_js.onload = async_js.onreadystatechange = function(){
		if (typeof TeddyID !== 'undefined'){
			async_js.onload = async_js.onreadystatechange = null;
			$('#eventDisplayAuthIframe').on('click', function() {
				TeddyID.displayAuthIframe();
			});
		}
	};
	var s = document.getElementsByTagName('script')[0];
	s.parentNode.insertBefore(async_js, s);
})();

BX.ready(function(){
	
	if ('<?=$arResult["NEW_USER"]?>' == "Y") {
		
		var TapLoginEmailPopup = new BX.PopupWindow(
			"taplogin_popup",
			null,
			{
				content: BX('taplogin_emaildiv'),
				closeIcon: {right: "10px", top: "10px" },
				titleBar: {content: BX.create("span", {html: '<b><?=GetMessage("TAPLOGIN_POPUP_TITLE")?></b>', 'props': {'className': 'access-title-bar'}})},
				zIndex: 0,
				offsetLeft: 0,
				offsetTop: 0,
				draggable: {restrict: false},
				buttons: [
					new BX.PopupWindowButton({
						text: "<?=GetMessage("TAPLOGIN_POPUP_BUTTONS_ACCEPT")?>",
						className: "popup-window-button-accept" ,
						events: {click: function(){
							BX.ajax.submit(BX("taplogin_emailform"), function(response){

								response = jQuery.parseJSON(response);
								if (response.result == 'ok')
								{
									BX('taplogin_emaildiv').innerHTML = '<?=GetMessage("TAPLOGIN_REGISTRATION_SUCCESS")?>';
									$('.popup-window-button-accept, .webform-button-link-cancel').hide();
									window.location.href=window.location.href;
								}
								else if (response.result == 'error')
									jQuery("#taplogin_error").html(response.error);
								else
									jQuery("#taplogin_error").html('<?=GetMessage("TAPLOGIN_REGISTRATION_ERROR")?>');
							});
						}}
					}),
					new BX.PopupWindowButton({
						text: "<?=GetMessage("TAPLOGIN_POPUP_BUTTONS_CANCEL")?>",
						className: "webform-button-link-cancel",
						events: {click: function(){
							this.popupWindow.close();
						}}
					})
				]
			}
		);

		BX.ajax.insertToNode('<?=$arResult["COMPONENT_PATH"]?>/templates/.default/form_email.php', BX('taplogin_emaildiv'));
		TapLoginEmailPopup.show();
		
		$('#taplogin_popup').ready(function() {
			var request_id = '<?=$arResult["REQUEST_ID"]?>';
			if (request_id.length > 0)
				checker = setInterval(checkAuthorizationResponse, 3000);
			setTimeout(stopWaiting, 300000);
		});

	}

});
</script>

<div id="taplogin_bitrix">

<?if (!$arResult["USER_IS_ATTACHED"]) {?>
	
	<?$LINK_LABEL = $USER->IsAuthorized() ? GetMessage("TAPLOGIN_LINK_ATTACH") : GetMessage("TAPLOGIN_LINK_LOGIN")?>
	
	<a id="eventDisplayAuthIframe" href="javascript:void(0)"><?=$LINK_LABEL?></a>

	<form name="loginform" id="loginform" method="POST" action="">
		<input type="hidden" name="auth_token_id" />
		<input type="hidden" name="auth_token" />
		<input type="hidden" name="url" />

		<?if ($USER->IsAuthorized()) {?>
			<input type="hidden" name="attach_taplogin" value="1" />
		<? } ?>

	</form>

<? }
	elseif ($_REQUEST["taplogin_message"]) {?>
		<div style="clear:both;"></div>
		<span><?=$_REQUEST["taplogin_message"]?></span>
	<?
	}
	else {?>
		<div style="clear:both;"></div>
		<span><?=GetMessage("TAPLOGIN_VIA")?></span>
	<?
	}
	?>
	
	<div id="taplogin_emaildiv"></div>

</div>