<?
global $MESS;
include(GetLangFileName(substr(__FILE__, 0, -18)."/lang/", "/install/index.php"));

class azid_taplogin extends CModule
{
	var $MODULE_ID = "azid.taplogin";
	var $MODULE_VERSION;
	var $MODULE_VERSION_DATE;
	var $MODULE_NAME;
	var $MODULE_DESCRIPTION;
	var $PARTNER_NAME;
	var $PARTNER_URI;

	function azid_taplogin()
	{	
		$arModuleVersion = array();

		include(substr(__FILE__, 0,  -10)."/version.php");

		$this->MODULE_VERSION = $arModuleVersion["VERSION"];
		$this->MODULE_VERSION_DATE = $arModuleVersion["VERSION_DATE"];

		$this->MODULE_NAME = GetMessage("TAPLOGIN_INSTALL_NAME");
		$this->MODULE_DESCRIPTION = GetMessage("TAPLOGIN_INSTALL_DESCRIPTION");
		
		$this->PARTNER_NAME = GetMessage("TAPLOGIN_PARTNER_NAME");
		$this->PARTNER_URI = "https://www.teddyid.com/";
	}

	function InstallDB($arParams = array())
	{
		global $DB, $APPLICATION;
		$errors = false;
		if(!$DB->Query("SELECT 'x' FROM b_taplogin_user", true))
		{
			$errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".$this->MODULE_ID."/install/db/mysql/install.sql");
		}

		if ($errors !== false)
		{
			$APPLICATION->ThrowException(implode("", $errors));
			return false;
		}

		RegisterModule( $this->MODULE_ID );
		
		return true;
	}

	function UnInstallDB($arParams = array())
	{
		global $APPLICATION, $DB, $DOCUMENT_ROOT;

		$errors = $DB->RunSQLBatch($DOCUMENT_ROOT."/bitrix/modules/".$this->MODULE_ID."/install/db/mysql/uninstall.sql");
		if (!empty($errors))
		{
			$APPLICATION->ThrowException(implode("", $errors));
			return false;
		}

		UnRegisterModule( $this->MODULE_ID );
		
		return true;
	}

	function InstallFiles($arParams = array())
	{
		if($_ENV["COMPUTERNAME"]!='BX')
		{
			CopyDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".$this->MODULE_ID."/install/components", $_SERVER["DOCUMENT_ROOT"]."/bitrix/components", true, true);
			CopyDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".$this->MODULE_ID."/install/images", $_SERVER["DOCUMENT_ROOT"]."/bitrix/images", true, true);
			CopyDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".$this->MODULE_ID."/tools", $_SERVER["DOCUMENT_ROOT"]."/bitrix/tools", true, true);
		}
		return true;
	}
	
	function UnInstallFiles()
	{
		if($_ENV["COMPUTERNAME"]!='BX')
		{
			DeleteDirFilesEx("/bitrix/images/".$this->MODULE_ID."/");
			@unlink($_SERVER["DOCUMENT_ROOT"]."/bitrix/tools/taplogin_secure_random.php");
		}
		return true;
	}

	function DoInstall()
	{
		global $USER;
		if($USER->IsAdmin())
		{
			$this->InstallFiles();
			$this->InstallDB();
		}
	}

	function DoUninstall()
	{
		global $USER;
		if($USER->IsAdmin())
		{
			$this->UnInstallDB();
			$this->UnInstallFiles();
		}
	}
}
?>